﻿using Syncfusion.SfChart.XForms;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace CustomLabel
{
	public class CustomExt : SfChart
	{
		public delegate void ChangedEventHandler(object sender, DataMarkerLabelEventArgs e);

		public event EventHandler<DataMarkerLabelEventArgs> DataMarkerLabelCreated;

		public void TriggerDataMarkerLabelCreatedEvent(DataMarkerLabelEventArgs args){
			if (DataMarkerLabelCreated != null) {
				DataMarkerLabelCreated (this, args);
			}
		}
	}

	public class DataMarkerLabelEventArgs
	{
		public String LabelContent { get; set; }

		public int Index { get; internal set; }

		public DataMarkerLabelEventArgs(int index, String label)
		{
			LabelContent = label;
			Index = index;
		}
	}
}
